import PropTypes from 'prop-types';
import breadCrumbsAriaProps from './BreadCrumbs.ariaPropTypes';
import tagAttributeProps, { tagAttributePropsName } from "../../propTypes/htmlAttributes.propTypes";
import automationProps, { automationPropsName } from "../../propTypes/automation.propTypes";
import customClassProps, { customClassPropName } from "../../propTypes/customClassName.propTypes";
import defaultCustomIds from "./BreadCrumbs.customIds";
export default {
  children: PropTypes.any,
  separator: PropTypes.any,
  itemId: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  href: PropTypes.string,
  frontSeperator: PropTypes.bool,
  endSeperator: PropTypes.bool,
  ...breadCrumbsAriaProps,
  ...tagAttributeProps,
  ...automationProps,
  ...customClassProps
};
export const defaultProps = {
  [automationPropsName]: defaultCustomIds,
  [customClassPropName]: {},
  [tagAttributePropsName]: {}
};
export const propsDescription = {
  children: 'This defines the children applied to the component',
  separator: 'This defines the seperator applied between its child',
  text: 'This defines the text',
  href: 'This defines the link url',
  onClick: 'This defines the onclick funtion',
  active: 'This defines the active element in the component',
  customId: 'This defines the dataid supplied to the compoennt',
  ariaLabel: 'This defines the ariaLabel in the component',
  role: 'This defines the role in the component',
  ariaCurrent: 'this defines the current aria in the component',
  customClassName: 'This defines the customclassname that are required for the component',
  size: 'This defines the size of the component',
  isEllipsis: 'This defines the overflow support in the component',
  frontSeperator: 'This defines the seperator in the front',
  endSeperator: 'This defines the seperator in the end',
  tagAttributeProps: 'This defines the additional tag attributes in the component'
};