import PropTypes from 'prop-types';
import automationProps, { automationPropsName } from '../../propTypes/automation.propTypes';
import defaultCustomId from './Tooltip.customIds';
import constantProps from './Tooltip.constantProps';
import customStyleProps, { customStyle } from '@zohodesk/utils/es/props/customStyleProps';
export default {
  container: PropTypes.node,
  arrow: PropTypes.bool
};
export const defaultProps = {
  placement: constantProps.placement.bottom,
  offsetOption: 6,
  zIndex: constantProps.zIndex.small
};
export const skeletonPropTypes = {
  floatingReference: PropTypes.func.isRequired,
  title: PropTypes.string,
  className: PropTypes.string,
  x: PropTypes.number,
  y: PropTypes.number,
  arrowX: PropTypes.number,
  arrowY: PropTypes.number,
  arrowPlacment: PropTypes.string,
  placement: PropTypes.oneOf(Object.values(constantProps.placement)),
  offsetOption: PropTypes.number,
  arrow: PropTypes.bool,
  ...customStyleProps,
  ...automationProps
};
export const skeletonDefaultProps = {
  [customStyle]: {},
  [automationPropsName]: defaultCustomId
};
export const propsDescription = {
  container: 'To define tooltip container',
  arrow: 'arrow needed in the tooltip'
};
export const skeletonPropsDescription = {
  floatingReference: 'To define floating popup reference',
  title: 'display title in the floating popup',
  x: 'tootip popup x location',
  y: 'tootip popup y location',
  arrowX: 'arrow x location',
  arrowY: 'arrow y location',
  arrow: 'arrow needed in the tooltip',
  className: 'class name for css customization',
  arrowPlacment: 'locate arrow in the tootlip',
  customStyle: 'tooltip custom style'
};